<?php
/**
 * @author Amasty Team
 * @copyright Copyright (c) 2016 Amasty (https://www.amasty.com)
 * @package Amasty_Catcopy
 */
?>

<script type="text/javascript">
    Ext.BLANK_IMAGE_URL = BLANK_IMG;
    Ext.UpdateManager.defaults.loadScripts = false;
    Ext.UpdateManager.defaults.disableCaching = true;
</script>

<div class="content-header">
   <h3 class="icon-head"><?php echo $this->getHeaderText() ?></h3>
   <p class="content-buttons form-buttons">
       <?php echo $this->getSaveButtonHtml(); ?>  
   </p>
</div>

<form action="<?php echo $this->getSaveUrl() ?>" method="post" id="amcatcopy_category_duplicate_form">

    <?php echo $this->getBlockHtml('formkey')?>
    <div class="entry-edit">
        <div class="entry-edit-head">
            <h4 class="icon-head head-edit-form fieldset-legend">
            <?php echo Mage::helper('amcatcopy')->__('Duplicate Options') ?>
            </h4>
            <div class="form-buttons"></div>
        </div>
        <div class="fieldset">
            <table class="form-list" cellspacing="0">
                <tbody>
                    <tr>
                        <td class="label">
                            <label for="copy_products">
                            <?php echo Mage::helper('amcatcopy')->__('Select Parent Category') ?>
                            </label>
                        </td>
                        <td class="value">
                            <?php echo $this->getParentCategorySelectHtml(); ?>
                        </td>
                        <td></td>
                    </tr>
                    <tr>
                        <td class="label">
                            <label for="copy_products">
                            <?php echo Mage::helper('amcatcopy')->__('Copy Product Relations') ?>
                            </label>
                        </td>
                        <td class="value">
                            <select id="copy_products" name="copy_products" class="select required-entry">
                                <option value="0"><?php echo Mage::helper('amcatcopy')->__('No') ?></option>
                                <option value="1"><?php echo Mage::helper('amcatcopy')->__('Yes') ?></option>
                            </select>
                        </td>
                        <td></td>
                    </tr>
                    <tr>
                        <td class="label">
                            <label for="include_subcats">
                            <?php echo Mage::helper('amcatcopy')->__('Include Subcategories') ?>
                            </label>
                        </td>
                        <td class="value">
                            <select id="include_subcats" name="include_subcats" class="select required-entry">
                                <option value="0"><?php echo Mage::helper('amcatcopy')->__('No') ?></option>
                                <option value="1"><?php echo Mage::helper('amcatcopy')->__('Yes') ?></option>
                            </select>
                        </td>
                        <td></td>
                    </tr>
                </tbody>
            </table>
        </div>
    </div>
    
    <div class="entry-edit">
        <div class="entry-edit-head">
            <h4 class="icon-head head-edit-form fieldset-legend">
            <?php echo Mage::helper('amcatcopy')->__('Search and Replace') ?>
            </h4>
            <div class="form-buttons"></div>
        </div>
        <div class="fieldset">
        	<ul class="messages">
        		<li class="notice-msg">
            		<ul>
                		<li><?php echo $this->__('Leave empty if you do not need to search and replace. '); ?></li>
            		</ul>
            	</li>
        	</ul>
            <table class="form-list" cellspacing="0">
                <tbody>
                    <tr>
                    	<td class="label"><?php echo $this->__('Search For:'); ?></td>
                    	<td class="value"><?php echo $this->__('Replace With:'); ?></td>
                    </tr>
                    <?php for ($i = 0; $i < Mage::helper('amcatcopy')->getSearchReplaceCnt(); $i++): ?>
                    <tr>
                    	<td class="label"><input type="text" name="search[<?php echo $i; ?>]" value="" class="input-text" style="width: 190px;" /></td>
                    	<td class="value"><input type="text" name="replace[<?php echo $i; ?>]" value="" class="input-text" style="width: 190px;" /></td>
                    </tr>
                    <?php endfor; ?>
                </tbody>
            </table>
        </div>
    </div>
    
</form>